QGIS server - data is not stretched correctly. This is in violation to the WMS-specification.
Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23162

Description

Case:

A WMS from QGIS Server is displayed wrong - data is not stretched correctly.

Problem:

I have a qgis-project which contains layers published as a WMS with QGIS Server (ubuntu). The bbox has the width/height ration 758/682

= 1.111. But when I make a WMS-requst where the bbox is changed, the data is not stretch correctly - e.g. the bbox is changed to

1046/706=1.482 and the data is displayed wrong.

This is in violation to the WMS-specification(http://www.opengeospatial.org/standards/wms):

"If the request is for a picture format, the returned picture, regardless of its MIME type, shall have exactly the

specified width and height in pixels. In the case where the aspect ratio of the BBOX and the ratio width/height are

different, the WMS shall stretch the returned map so that the resulting pixels could themselves be rendered in the

aspect ratio of the BBOX. In other words, it shall be possible using this definition to request a map for a device

whose output pixels are themselves non-square, or to stretch a map into an image area of a different aspect ratio."

History

#1 - 2016-07-07 09:47 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does this happens regardless of the client used? or it just (by chance) happen only on with QGIS (as client) on Windows?

#2 - 2016-07-07 10:32 PM - Andreas Neumann

Interesting. Out of curiosity: what device is this, that has non-square pixels?

Sounds pretty exotic.

One has to examine if it is the fault of the client or the server. From the description, it is still unclear if the client is wrong or the server.

#3 - 2017-01-03 03:51 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

This will be fixed by
https://github.com/qgis/QGIS/pull/3906

#4 - 2017-01-03 04:19 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2017-01-05 12:09 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
